For the complete documentation index, see llms.txt. This page is also available as Markdown.

Inbox Conversations

Creates a new inbox conversation

post

Required Permission: chatbots.inbox.conversations.create

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Body
namestringRequired

The name of the contact for the new conversation.

Example: John Doe
emailstring · emailOptional

The email address of the contact.

Example: john.doe@example.com
phonestringOptional

The phone number of the contact.

Example: +4917612345678
channelIdstringRequired

The ID of the channel in which the conversation is created.

Example: sTjncRDMuTdv65ex4I05
Responses
201

Conversation created successfully.

application/json
conversationIdstringOptional

The ID of the newly created conversation.

Example: bI0xfJiGQuPXCJ9slT5G
errorstringOptional

Optional error message.

post/v1/inbox/{chatbotId}/conversations
POST /v1/inbox/{chatbotId}/conversations HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 110

{
  "name": "John Doe",
  "email": "john.doe@example.com",
  "phone": "+4917612345678",
  "channelId": "sTjncRDMuTdv65ex4I05"
}
{
  "conversationId": "bI0xfJiGQuPXCJ9slT5G",
  "error": "text"
}

Last updated